Name: x11-driver-video-sis
Version: 0.10.1
Release: %mkrel 2
Summary: X.org driver for SiS Cards
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-sis-%{version}.tar.bz2
License: MIT
BuildRoot: %{_tmppath}/%{name}-root
 
BuildRequires: libdrm-devel >= 2.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: GL-devel

Conflicts: xorg-x11-server < 7.0

Patch1: 0001-Fix-compilation-with-Werror-format-security.patch
%description
x11-driver-video-sis is the X.org driver for SiS Cards.

%prep
%setup -q -n xf86-video-sis-%{version}
%patch1 -p1 -b .format-security

%build
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/drivers/sis_drv.la
%{_libdir}/xorg/modules/drivers/sis_drv.so
%{_mandir}/man4/sis.*


%changelog
* Tue Dec 30 2008 Colin Guthrie <cguthrie@mandriva.org> 0.10.1-2mdv2009.1
+ Revision: 321381
- Rebuild for new xserver

* Tue Dec 23 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 0.10.1-1mdv2009.1
+ Revision: 317952
- Fix compilation with -Werror=format-security
- New version 0.10.1

* Sat Nov 29 2008 Adam Williamson <awilliamson@mandriva.com> 0.10.0-3mdv2009.1
+ Revision: 308148
- rebuild for new X server

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild early 2009.0 package (before pixel changes)
    - improved description
    - add missing dot at end of description
    - improved summary

* Tue Apr 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 0.10.0-1mdv2009.0
+ Revision: 194153
- Update to version 0.10.0.

* Tue Feb 12 2008 Paulo Andrade <pcpa@mandriva.com.br> 0.9.4-4mdv2008.1
+ Revision: 166110
- Revert to use upstream tarball and remove local patches.

* Tue Jan 22 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 0.9.4-3mdv2008.1
+ Revision: 156620
- re-enable rpm debug packages support

* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 0.9.4-2mdv2008.1
+ Revision: 154794
- Updated BuildRequires and resubmit package.
- Remove -devel package as it isn't really required as it provides only 2 files
  that aren't even header files; still don't install the .la files.
  All dependency files should be stored in the x11-util-modular package as they
  are only required for the "modular" build.
- Move .la files to new -devel package, and also add .deps files to -devel package.
- Properly use existing tag xf86-video-sis-0.9.4 to generate tarball.
  There was no changes from this tag to the point mandriva branch was created,
  so, only spec changes were generated.
- Update for new policy of hidden symbols and common macros.

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.9.4-1mdv2008.1
+ Revision: 110426
- new release

* Tue Oct 16 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 0.9.3-2mdv2008.1
+ Revision: 99046
- minor spec cleanup
- build against new xserver (1.4)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix man pages


* Fri Dec 01 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.9.3-1mdv2007.0
+ Revision: 89726
- new release
- kill old tarball
- fix group

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - rebuild to fix cooker uploading
    - Updated drivers for X11R7.1
    - increment release
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

